<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class DinheiroRegistrationViewModel extends Entity {
	protected $valor;
	protected $troco;
	
	public static function builder(): DinheiroRegistrationViewModelBuilder {

		$dinheiro_registration_view_model_builder = new DinheiroRegistrationViewModelBuilder();
		return $dinheiro_registration_view_model_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}
	
	/**
	 *
	 * @return mixed
	 */
	public function getTroco() {
		
		return $this->troco;
		
	}
	

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): void {

		$this->valor = $valor;

	}

	
	/**
	 *
	 * @param mixed $troco
	 */
	public function setTroco($troco): void {

		$this->troco = $troco;

	}

	
}
